Skip to main content
POST
/
api
/
uploads
/
complete
Complete a direct upload
curl --request POST \
  --url https://convertly.sh/api/uploads/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "path": "<string>",
  "filename": "<string>",
  "sizeBytes": 2
}
'
{
  "file": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "filename": "<string>",
    "mime_type": "<string>",
    "size_bytes": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "downloadUrl": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Dashboard-generated Convertly API key. Keys currently begin with cvly_.

Body

application/json
path
string
required
Minimum string length: 1
filename
string
required
Required string length: 1 - 180
sizeBytes
integer
required
Required range: x >= 1
contentType
string
default:application/octet-stream
folderId
string<uuid> | null

Response

Upload completion was already recorded

file
object
required